package com.usoftchina.uas.office.qywx.entity;

import com.usoftchina.qywx.sdk.dto.GetCheckinDataResp;

import java.util.Date;

/**
 * @author yingp
 * @date 2020/2/16
 */
public class OutSign {
    private Integer mo_id;
    private String mo_code;
    private String mo_remark;
    private Date mo_signtime;
    private String mo_address;
    private String mo_mancode;
    private String mo_man;
    private String mo_company;
    private String mo_status;
    private String mo_statuscode;
    private String mo_groupname;
    private String mo_checkintype;
    private String mo_exceptiontype;
    private String mo_wifiname;
    private String mo_notes;
    private String mo_wifimac;
    private String mo_mediaids;
    private Long mo_lat;
    private Long mo_lng;

    public OutSign(Employee employee, GetCheckinDataResp.CheckinData data) {
        this.mo_remark = "微信外出打卡";
        this.mo_signtime = new Date(data.getCheckin_time() * 1000);
        this.mo_address = data.getLocation_detail();
        this.mo_mancode = employee.getEm_code();
        this.mo_man = employee.getEm_name();
        this.mo_company = data.getLocation_title();
        this.mo_status = "已提交";
        this.mo_statuscode = "COMMITED";
        this.mo_groupname = data.getGroupname();
        this.mo_checkintype = data.getCheckin_type();
        this.mo_wifiname = data.getWifiname();
        this.mo_notes = data.getNotes();
        this.mo_wifimac = data.getWifimac();
        this.mo_mediaids = String.join(",", data.getMediaids());
        this.mo_lat = data.getLat();
        this.mo_lng = data.getLng();
    }

    public Integer getMo_id() {
        return mo_id;
    }

    public void setMo_id(Integer mo_id) {
        this.mo_id = mo_id;
    }

    public String getMo_code() {
        return mo_code;
    }

    public void setMo_code(String mo_code) {
        this.mo_code = mo_code;
    }

    public String getMo_remark() {
        return mo_remark;
    }

    public void setMo_remark(String mo_remark) {
        this.mo_remark = mo_remark;
    }

    public Date getMo_signtime() {
        return mo_signtime;
    }

    public void setMo_signtime(Date mo_signtime) {
        this.mo_signtime = mo_signtime;
    }

    public String getMo_address() {
        return mo_address;
    }

    public void setMo_address(String mo_address) {
        this.mo_address = mo_address;
    }

    public String getMo_mancode() {
        return mo_mancode;
    }

    public void setMo_mancode(String mo_mancode) {
        this.mo_mancode = mo_mancode;
    }

    public String getMo_man() {
        return mo_man;
    }

    public void setMo_man(String mo_man) {
        this.mo_man = mo_man;
    }

    public String getMo_company() {
        return mo_company;
    }

    public void setMo_company(String mo_company) {
        this.mo_company = mo_company;
    }

    public String getMo_status() {
        return mo_status;
    }

    public void setMo_status(String mo_status) {
        this.mo_status = mo_status;
    }

    public String getMo_statuscode() {
        return mo_statuscode;
    }

    public void setMo_statuscode(String mo_statuscode) {
        this.mo_statuscode = mo_statuscode;
    }

    public String getMo_groupname() {
        return mo_groupname;
    }

    public void setMo_groupname(String mo_groupname) {
        this.mo_groupname = mo_groupname;
    }

    public String getMo_checkintype() {
        return mo_checkintype;
    }

    public void setMo_checkintype(String mo_checkintype) {
        this.mo_checkintype = mo_checkintype;
    }

    public String getMo_exceptiontype() {
        return mo_exceptiontype;
    }

    public void setMo_exceptiontype(String mo_exceptiontype) {
        this.mo_exceptiontype = mo_exceptiontype;
    }

    public String getMo_wifiname() {
        return mo_wifiname;
    }

    public void setMo_wifiname(String mo_wifiname) {
        this.mo_wifiname = mo_wifiname;
    }

    public String getMo_notes() {
        return mo_notes;
    }

    public void setMo_notes(String mo_notes) {
        this.mo_notes = mo_notes;
    }

    public String getMo_wifimac() {
        return mo_wifimac;
    }

    public void setMo_wifimac(String mo_wifimac) {
        this.mo_wifimac = mo_wifimac;
    }

    public String getMo_mediaids() {
        return mo_mediaids;
    }

    public void setMo_mediaids(String mo_mediaids) {
        this.mo_mediaids = mo_mediaids;
    }

    public Long getMo_lat() {
        return mo_lat;
    }

    public void setMo_lat(Long mo_lat) {
        this.mo_lat = mo_lat;
    }

    public Long getMo_lng() {
        return mo_lng;
    }

    public void setMo_lng(Long mo_lng) {
        this.mo_lng = mo_lng;
    }
}
